%global srcname pyngus
%global proton_minimum_version 0.28.0

# Don't duplicate the same documentation
%global _docdir_fmt %{name}

Name:          python-%{srcname}
Version:       2.3.0
Release:       1%{?dist}
Summary:       Callback API implemented over Proton

License:       ASL 2.0
URL:           https://github.com/kgiusti/%{srcname}
Source0:       %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch

%global _description \
A connection oriented messaging framework using QPID Proton.\
It provides a callback-based API for message passing.

%description %{_description}

%package -n python2-%{srcname}
Summary:       %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-qpid-proton >= %{proton_minimum_version}
Requires:       python2-qpid-proton >= %{proton_minimum_version}

%description -n python2-%{srcname} %{_description}

Python 2 version.

%if (0%{?rhel} && 0%{?rhel} > 7)
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qpid-proton >= %{proton_minimum_version}
Requires:       python3-qpid-proton >= %{proton_minimum_version}

%description -n python3-%{srcname} %{_description}

Python 3 version.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if (0%{?rhel} && 0%{?rhel} > 7)
%py3_build
%endif

%install
%py2_install
%if (0%{?rhel} && 0%{?rhel} > 7)
%py3_install
%endif


%check
# some number of tests doesn't work
#pushd tests/
#  PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} test-runner || :
#  PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} test-runner || :
#popd

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/

%if (0%{?rhel} && 0%{?rhel} > 7)
%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/
%endif

%changelog
* Tue May 28 2019 Irina Boverman <iboverma@redhat.com> - 2.3.0-1
- Rebased to 2.3.0

* Tue Jul 24 2018 Irina Boverman <iboverma@redhat.com> - 2.2.4-1
- Rebased to 2.2.4

* Thu May  3 2018 Irina Boverman <iboverma@redhat.com> - 2.2.3-1
- Rebased to 2.2.3

* Tue Mar 13 2018 Irina Boverman <iboverma@redhat.com> - 2.2.2-1
- Rebased to 2.2.2

* Mon Nov 27 2017 Irina Boverman <iboverma@redhat.com> - 2.2.1-2
- Rebuilt against qpid-proton 0.18.1

* Tue May 23 2017 Irina Boverman <iboverma@redhat.com> - 2.2.1-1
- Rebased to 2.2.1

* Thu Mar  2 2017 Irina Boverman <iboverma@redhat.com> - 2.1.4-1
- Rebased to 2.1.4

* Fri Sep 23 2016 Irina Boverman <iboverma@redhat.com> - 2.1.2-1
- Rebased to 2.1.2

* Wed Aug 10 2016 Irina Boverman <iboverma@redhat.com> - 2.0.4-2
- Added examples, README.md and LICENSE files

* Wed Aug 10 2016 Irina Boverman <iboverma@redhat.com> - 2.0.4-1
- Rebased to 2.0.4

* Thu Jun 30 2016 Irina Boverman <iboverma@redhat.com> - 2.0.3-3
- Rebuilt against proton 0.13.0

* Tue Mar  1 2016 Irina Boverman <iboverma@redhat.com> - 2.0.3-2
- Rebuilt against proton 0.12.0

* Wed Sep 30 2015 Irina Boverman <iboverma@redhat.com> - 2.0.3-1
- Rebased to 2.0.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 12 2014 Darryl L. Pierce <dpierce@redhat.com> - 1.2.0-1
- Rebased on Pyngus 1.2.0.

* Wed Oct  1 2014 Darryl L. Pierce <dpierce@redhat.com> - 1.1.0-1
- First official build.

* Mon Sep 29 2014 Darryl L. Pierce <dpierce@redhat.com> - 1.1.0-0.1
- Replaced the python-qpid-proton requirement.
- Added egg info to the list of docs for this package.

* Thu Sep 25 2014 Darryl L. Pierce <dpierce@redhat.com> - 1.1.0-0
- Initial build.
